{
  description = "A few settings";

  outputs = _: {
    nixosModules = {
      default = {

        imports = [
          ./modules/audio.nix
          ./modules/font.nix
          ./modules/nix-settings.nix
          ./modules/nvidia.nix
          ./modules/services.nix
          ./modules/vim.nix
          ./modules/xconfig.nix
          ./modules/zsh.nix
        ];

      };

      live = {
        imports = [
          ./modules/vim.nix
          ./modules/zsh.nix
        ];
      };

      smol = {
        imports = [
          ./modules/nix-settings.nix
          ./modules/vim.nix
          ./modules/zsh.nix
          ./modules/audio.nix
        ];
      };
    };
  };
}
